> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List virtual GPU cluster interfaces

> List all network interfaces for servers in a virtual GPU cluster.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/interfaces
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/interfaces:
    get:
      tags:
        - GPU Virtual
      summary: List virtual GPU cluster interfaces
      description: List all network interfaces for servers in a virtual GPU cluster.
      operationId: VirtualGpuClusterInterfaces.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: cluster_id
          required: true
          description: Cluster unique identifier
          schema:
            description: Cluster unique identifier
            example: 1aaaab48-10d0-46d9-80cc-85209284ceb4
            examples:
              - 1aaaab48-10d0-46d9-80cc-85209284ceb4
            format: uuid4
            title: Cluster Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/VirtualGpuClusterInterfaceCollectionSerializer
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            gpu_virtual_interface_list =
            client.cloud.gpu_virtual.clusters.interfaces.list(
                cluster_id="1aaaab48-10d0-46d9-80cc-85209284ceb4",
                project_id=1,
                region_id=7,
            )

            print(gpu_virtual_interface_list.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tgpuVirtualInterfaceList, err := client.Cloud.GPUVirtual.Clusters.Interfaces.List(\n\t\tcontext.TODO(),\n\t\t\"1aaaab48-10d0-46d9-80cc-85209284ceb4\",\n\t\tcloud.GPUVirtualClusterInterfaceListParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(7),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", gpuVirtualInterfaceList.Count)\n}\n"
components:
  schemas:
    VirtualGpuClusterInterfaceCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/VirtualGpuClusterInterfaceSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: VirtualGpuClusterInterfaceCollectionSerializer
      type: object
    VirtualGpuClusterInterfaceSerializer:
      properties:
        floating_ips:
          description: Bodies of floatingips that are NAT-ing ips of this port
          items:
            $ref: '#/components/schemas/FloatingIpDetailsSerializer'
          title: Floating Ips
          type: array
        ip_assignments:
          description: IP addresses assigned to this port
          example:
            - ip_address: 192.168.123.20
              subnet_id: 351b0dd7-ca09-431c-be53-935db3785067
            - ip_address: 192.168.120.16
              subnet_id: 0a641ef8-62dc-4146-91e5-6ab4b464df6d
          examples:
            - - ip_address: 192.168.123.20
                subnet_id: 351b0dd7-ca09-431c-be53-935db3785067
              - ip_address: 192.168.120.16
                subnet_id: 0a641ef8-62dc-4146-91e5-6ab4b464df6d
          items:
            $ref: '#/components/schemas/PortIpAssignmentSerializer'
          title: Ip Assignments
          type: array
        mac_address:
          anyOf:
            - type: string
            - type: 'null'
          description: MAC address of the virtual port
          examples:
            - 00:16:3e:f2:87:16
          title: Mac Address
        network:
          $ref: '#/components/schemas/NetworkDetailsSerializer'
          description: Body of the network this port is attached to
        network_id:
          description: ID of the network the port is attached to
          example: bc688791-f1b0-44eb-97d4-07697294b1e1
          examples:
            - bc688791-f1b0-44eb-97d4-07697294b1e1
          format: uuid4
          title: Network Id
          type: string
        port_id:
          description: ID of virtual ethernet port object
          example: 1f0ca628-a73b-42c0-bdac-7b10d023e097
          examples:
            - 1f0ca628-a73b-42c0-bdac-7b10d023e097
          format: uuid4
          title: Port Id
          type: string
        port_security_enabled:
          description: Port security status
          title: Port Security Enabled
          type: boolean
      required:
        - port_id
        - mac_address
        - ip_assignments
        - network_id
        - port_security_enabled
        - network
        - floating_ips
      title: VirtualGpuClusterInterfaceSerializer
      type: object
    FloatingIpDetailsSerializer:
      properties:
        created_at:
          description: Datetime when the floating IP was created
          example: '2025-04-04T13:55:31Z'
          examples:
            - '2025-04-04T13:55:31Z'
          format: date-time
          title: Created At
          type: string
        fixed_ip_address:
          anyOf:
            - format: ipvanyaddress
              type: string
            - type: 'null'
          description: IP address of the port the floating IP is attached to
          examples:
            - 192.168.10.15
          title: Fixed Ip Address
        floating_ip_address:
          anyOf:
            - format: ipvanyaddress
              type: string
            - type: 'null'
          description: IP Address of the floating IP
          examples:
            - 172.24.4.34
          title: Floating Ip Address
        id:
          description: Floating IP ID
          example: c64e5db1-5f1f-43ec-a8d9-5090df85b82d
          examples:
            - c64e5db1-5f1f-43ec-a8d9-5090df85b82d
          format: uuid4
          title: Id
          type: string
        port_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: >-
            Port ID the floating IP is attached to. The `fixed_ip_address` is
            the IP address of the port.
          examples:
            - ee2402d0-f0cd-4503-9b75-69be1d11c5f1
          title: Port Id
        router_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          description: Router ID
          examples:
            - 11005a33-c5ac-4c96-ab6f-8f2827cc7da6
          title: Router Id
        status:
          anyOf:
            - $ref: '#/components/schemas/FloatingIPStatus'
            - type: 'null'
          description: Floating IP status
          examples:
            - ACTIVE
            - DOWN
            - ERROR
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        updated_at:
          description: Datetime when the floating IP was last updated
          example: '2025-04-04T13:56:31Z'
          examples:
            - '2025-04-04T13:56:31Z'
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - fixed_ip_address
        - floating_ip_address
        - tags
        - port_id
        - router_id
        - status
        - created_at
        - updated_at
      title: FloatingIpDetailsSerializer
      type: object
    PortIpAssignmentSerializer:
      properties:
        ip_address:
          description: The IP address assigned to the port from the specified subnet
          example: 192.168.123.20
          examples:
            - 192.168.123.20
          format: ipvanyaddress
          title: Ip Address
          type: string
        subnet_id:
          description: ID of the subnet that allocated the IP
          example: 351b0dd7-ca09-431c-be53-935db3785067
          examples:
            - 351b0dd7-ca09-431c-be53-935db3785067
          format: uuid4
          title: Subnet Id
          type: string
      required:
        - subnet_id
        - ip_address
      title: PortIpAssignmentSerializer
      type: object
    NetworkDetailsSerializer:
      properties:
        created_at:
          description: Datetime when the network was created
          example: '2025-04-04T13:55:31Z'
          examples:
            - '2025-04-04T13:55:31Z'
          format: date-time
          title: Created At
          type: string
        external:
          description: True if the network `router:external` attribute
          example: true
          examples:
            - true
          title: External
          type: boolean
        id:
          description: Network ID
          example: eed97610-708d-43a5-a9a5-caebd2b7b4ee
          examples:
            - eed97610-708d-43a5-a9a5-caebd2b7b4ee
          format: uuid4
          title: Id
          type: string
        mtu:
          description: MTU (maximum transmission unit)
          example: 1500
          examples:
            - 1500
          title: Mtu
          type: integer
        name:
          description: Network name
          example: public
          examples:
            - public
          title: Name
          type: string
        port_security_enabled:
          description: >-
            Indicates `port_security_enabled` status of all newly created in the
            network ports.
          example: true
          examples:
            - true
            - false
          title: Port Security Enabled
          type: boolean
        segmentation_id:
          anyOf:
            - type: integer
            - type: 'null'
          description: Id of network segment
          examples:
            - 9
          title: Segmentation Id
        shared:
          description: True when the network is shared with your project by external owner
          example: false
          examples:
            - false
          title: Shared
          type: boolean
        subnets:
          anyOf:
            - items:
                $ref: '#/components/schemas/SubnetDetailsSerializer'
              type: array
            - type: 'null'
          description: List of subnetworks
          title: Subnets
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        type:
          description: Network type (vlan, vxlan)
          example: vlan
          examples:
            - vlan
          title: Type
          type: string
        updated_at:
          description: Datetime when the network was last updated
          example: '2025-04-04T13:56:31Z'
          examples:
            - '2025-04-04T13:56:31Z'
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - name
        - mtu
        - created_at
        - updated_at
        - type
        - segmentation_id
        - external
        - shared
        - subnets
        - tags
        - port_security_enabled
      title: NetworkDetailsSerializer
      type: object
    FloatingIPStatus:
      enum:
        - ACTIVE
        - DOWN
        - ERROR
      title: FloatingIPStatus
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
    SubnetDetailsSerializer:
      properties:
        available_ips:
          anyOf:
            - type: integer
            - type: 'null'
          description: Number of available ips in subnet
          examples:
            - 250
          title: Available Ips
        cidr:
          description: CIDR
          example: 192.168.13.0/24
          examples:
            - 192.168.13.0/24
          format: ipvanynetwork
          title: Cidr
          type: string
        created_at:
          description: Datetime when the subnet was created
          example: '2025-04-04T13:55:31Z'
          examples:
            - '2025-04-04T13:55:31Z'
          format: date-time
          title: Created At
          type: string
        dns_nameservers:
          anyOf:
            - items:
                format: ipvanyaddress
                type: string
              type: array
            - type: 'null'
          description: List IP addresses of a DNS resolver reachable from the network
          examples:
            - - 8.8.8.8
              - 8.8.4.4
          title: Dns Nameservers
        enable_dhcp:
          description: >-
            Indicates whether DHCP is enabled for this subnet. If true, IP
            addresses will be assigned automatically
          example: true
          examples:
            - true
          title: Enable Dhcp
          type: boolean
        gateway_ip:
          anyOf:
            - format: ipvanyaddress
              type: string
            - type: 'null'
          description: >-
            Default GW IPv4 address, advertised in DHCP routes of this subnet.
            If null, no gateway is advertised by this subnet.
          examples:
            - 192.168.13.1
          title: Gateway Ip
        has_router:
          deprecated: true
          description: Deprecated. Always returns `false`.
          example: false
          examples:
            - false
          title: Has Router
          type: boolean
        host_routes:
          anyOf:
            - items:
                $ref: '#/components/schemas/RouteOutSerializer'
              type: array
            - type: 'null'
          description: List of custom static routes to advertise via DHCP.
          examples:
            - []
          title: Host Routes
        id:
          description: Subnet id.
          example: b39792c3-3160-4356-912e-ba396c95cdcf
          examples:
            - b39792c3-3160-4356-912e-ba396c95cdcf
          format: uuid4
          title: Id
          type: string
        ip_version:
          $ref: '#/components/schemas/IPVersion'
          description: IP version used by the subnet (IPv4 or IPv6)
          examples:
            - 4
        name:
          description: Subnet name
          example: subnet_3
          examples:
            - subnet_3
          pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
          title: Name
          type: string
        network_id:
          description: Network ID
          example: b30d0de7-bca2-4c83-9c57-9e645bd2cc92
          examples:
            - b30d0de7-bca2-4c83-9c57-9e645bd2cc92
          format: uuid4
          title: Network Id
          type: string
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
        total_ips:
          anyOf:
            - type: integer
            - type: 'null'
          description: Total number of ips in subnet
          examples:
            - 253
          title: Total Ips
        updated_at:
          description: Datetime when the subnet was last updated
          example: '2025-04-04T13:56:31Z'
          examples:
            - '2025-04-04T13:56:31Z'
          format: date-time
          title: Updated At
          type: string
      required:
        - name
        - id
        - network_id
        - ip_version
        - enable_dhcp
        - cidr
        - available_ips
        - total_ips
        - has_router
        - dns_nameservers
        - host_routes
        - gateway_ip
        - tags
        - created_at
        - updated_at
      title: SubnetDetailsSerializer
      type: object
    RouteOutSerializer:
      properties:
        destination:
          description: CIDR of destination IPv4 or IPv6 subnet.
          example: 10.0.3.0/24
          examples:
            - 10.0.3.0/24
          format: ipvanynetwork
          title: Destination
          type: string
        nexthop:
          description: >-
            IPv4 or IPv6 address to forward traffic to if it's destination IP
            matches 'destination' CIDR.
          example: 10.0.0.13
          examples:
            - 10.0.0.13
          format: ipvanyaddress
          title: Nexthop
          type: string
      required:
        - destination
        - nexthop
      title: RouteOutSerializer
      type: object
    IPVersion:
      enum:
        - 4
        - 6
      title: IPVersion
      type: integer
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````